petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetRHSFunction

Returns the vector where the right hand side is stored and the function/context to compute it.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRHSFunction(TS ts,Vec *r,TSRHSFunction *func,void **ctx)

Not Collective

### Input Parameter

ts -the TS context

### Output Parameter

| r | - vector to hold computed right hand side (or NULL)
| func | - the function to compute right hand side (or NULL)
| ctx | - the function context (or NULL)

### Keywords

TS, nonlinear, get, function

### See Also

TSSetRHSFunction(), SNESGetFunction()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages